Smith builder reply (removed)
Removed: use POST /v1/companion/chat with mode=builder and target_agent_id. See docs/runbooks/companion-smith-migration.md.
POST
/v1/ai/agents/{agentID}/smith/messagesdeprecatedAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonmessagestringmessagesAISmithMessageInput[] | nullShow propertiesHide properties
Array of
AISmithMessageInputcontentstringrequiredMessage content
rolestringMessage role (user/assistant/system)
Responses
200OK
agent_idstringrequiredconfidence_scorenumber<double>created_atstringmessagestringrequiredmessage_idstringmodelstringrequiredproviderstringrequiredsession_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring410Gone
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/agents/string/smith/messages" \
-H "Content-Type: application/json" \
-d '{
"message": "string",
"messages": [
{
"content": "string",
"role": "string"
}
]
}'const response = await fetch("/v1/ai/agents/string/smith/messages", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"message": "string",
"messages": [
{
"content": "string",
"role": "string"
}
]
})
});import requests
response = requests.post(
"/v1/ai/agents/string/smith/messages",
headers={
"Content-Type": "application/json"
},
json={
"message": "string",
"messages": [
{
"content": "string",
"role": "string"
}
]
},
)Response
{
"agent_id": "string",
"confidence_score": 0,
"created_at": "string",
"message": "string",
"message_id": "string",
"model": "string",
"provider": "string",
"session_id": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}